# -*- coding: utf-8 -*-

from __future__ import unicode_literals

from django.utils.translation import ugettext as _
from django.core.urlresolvers import reverse
from admin_tools.menu import items
from jmb.core.admin.menu import register_menu

junk = _('Organizations')  # needed to et translations for breadcrumps

menu_item = items.MenuItem(
    # GENERAL
    _('Organization'),
    reverse('admin:app_list', kwargs={'app_label': 'organization'}),
    children=[
        items.MenuItem(
            _('Organization'), '',
            children=[
                items.MenuItem(
                    _('Add Organization'), reverse('admin:organization_organization_add',)),
                items.MenuItem(_('Organization List'), reverse(
                    'admin:organization_organization_changelist',)),
            ]

        ),
        items.MenuItem(
            _('Contact'), '',
            children=[
                items.MenuItem(_('Add Contact'), reverse('admin:organization_contact_add',)),
                items.MenuItem(
                    _('Contact List'), reverse('admin:organization_contact_changelist',)),
            ]
        ),
        items.MenuItem(
            _('Other'), '',
            children=[
                items.MenuItem(_('Add Organization Group'), reverse(
                    'admin:organization_organizationgroup_add',)),
                items.MenuItem(
                    _('Organization Group List'), reverse('admin:organization_organizationgroup_changelist',)),
                items.MenuItem(_('Add Organization Form'), reverse(
                    'admin:organization_organizationform_add',)),
                items.MenuItem(_('Organization Form List'), reverse(
                    'admin:organization_organizationform_changelist',)),
                items.MenuItem(_('Add Organization Type'), reverse(
                    'admin:organization_organizationtype_add',)),
                items.MenuItem(_('Organization Type List'), reverse(
                    'admin:organization_organizationtype_changelist',)),
                items.MenuItem(_('Add Field'), reverse('admin:organization_field_add',)),
                items.MenuItem(_('Field List'), reverse('admin:organization_field_changelist',)),
                items.MenuItem(
                    _('Add Contact Role'), reverse('admin:organization_contactrole_add',)),
                items.MenuItem(_('Contact Role List'), reverse(
                    'admin:organization_contactrole_changelist',)),
                items.MenuItem(
                    _('Add Contact title'), reverse('admin:organization_contacttitle_add',)),
                items.MenuItem(_('Contact Title List'), reverse(
                    'admin:organization_contacttitle_changelist',)),
            ]
        )
    ]
)

register_menu(menu_item, 'jmb.organization')
